<?php

namespace DAO;


/**
 */
class EvaluateDeliverymanModel extends \DAO\AbstractModel {



    /**
     * 表名
     *
     * @var string
     */
    protected $_tableName = 'han_evaluate_deliveryman';

    /**
     * 主键
     *
     * @var string
     */
    protected $_primaryKey = 'deval_id';
    public function init(){

    }

    public function insert($data){
        $this->setDb(\Our\DbNameConst::masterDBConnectName);
        return $this->db->insert($this->_tableName)->rows($data)->execute();
    }

    public function getInsertId(){
        return $this->db->getInsertId();
    }
    /**
     * 类实例
     *
     * @var \DAO\UserModel
     */
    private static $_instance = null;

    /**
     * 获取类实例
     *
     * @return \DAO\UserModel
     */
    public static function getInstance() {
        if (!(self::$_instance instanceof self)) {
            self::$_instance = new self();
        }

        return self::$_instance;
    }


}
